Whitespace.
authorJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
Sat, 22 Sep 2012 03:28:34 +0000 (03:28 +0000)
committerJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
Sat, 22 Sep 2012 03:28:34 +0000 (03:28 +0000)
20 files changed:
targets/embedded/embedded-chroot.sh
targets/embedded/embedded-controller.sh
targets/grp/grp-controller.sh
targets/livecd-stage1/livecd-stage1-controller.sh
targets/livecd-stage2/livecd-stage2-controller.sh
targets/netboot/netboot-combine.sh
targets/netboot/netboot-controller.sh
targets/netboot/netboot-image.sh
targets/netboot2/netboot2-controller.sh
targets/netboot2/netboot2-copyfile.sh
targets/stage1/stage1-controller.sh
targets/stage2/stage2-chroot.sh
targets/stage2/stage2-controller.sh
targets/stage3/stage3-controller.sh
targets/stage4/stage4-controller.sh
targets/support/bootloader-setup.sh
targets/support/chroot-functions.sh
targets/support/create-iso.sh
targets/support/filesystem-functions.sh
targets/tinderbox/tinderbox-chroot.sh

index 89e834c5fb4337f5a5888069f9c301c31b322bf7..2fbba2780cca07acb7e86e70fe4794001d1cb4fb 100644 (file)
@@ -10,6 +10,6 @@ echo "Installing dependencies into ${DESTROOT}..."
 run_merge -o "${clst_embedded_packages}"
 
 export clst_root_path="${DESTROOT}"
-export INSTALL_MASK="${clst_install_mask}" 
+export INSTALL_MASK="${clst_install_mask}"
 
 run_merge -1 -O "${clst_embedded_packages}"
index 52ef3a4101413936713d171eea637a1411e9a1f7..2a0c5fe7eb891257b40d95ce20b2545ea739e502 100644 (file)
@@ -20,7 +20,7 @@ case ${1} in
 #      package)
 #              export root_fs_path="${clst_chroot_path}/tmp/mergeroot"
 #              install -d ${clst_image_path}
-               
+
 #              ${clst_sharedir}/targets/embedded/embedded-fs-runscript.sh \
 #                      ${clst_embedded_fs_type} || exit 1
 #              imagesize=`du -sk ${clst_image_path}/root.img | cut -f1`
@@ -68,7 +68,7 @@ case ${1} in
 
                ${clst_sharedir}/targets/support/bootloader-setup.sh ${1}
        ;;
-       
+
        iso)
                shift
                ${clst_sharedir}/targets/support/create-iso.sh ${1}
index cac3198e0b2f8f7772b666ac14c7d9e5d9675f1e..541429a2095b274e0e31e6aa4ff7dd1991b34dd0 100644 (file)
@@ -6,6 +6,7 @@ case $1 in
        enter)
                ${clst_CHROOT} ${clst_chroot_path}
        ;;
+
        run)
                shift
                export clst_grp_type=$1
@@ -24,7 +25,7 @@ case $1 in
        clean)
                exit 0
        ;;
-       
+
        *)
                exit 1
        ;;
index 5be36f038afddcacdd36ad5c541863bd2d81d436..f3b1f40efdf82b3e8ae701108ee77dbeb4f152f4 100644 (file)
@@ -12,6 +12,7 @@ case $1 in
                        ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
                echo "${clst_packages}" > ${clst_chroot_path}/tmp/packages.txt
                ;;
+
        clean)
                find ${clst_chroot_path}/usr/lib -iname "*.pyc" -exec rm -f {} \;
                ;;
index 44a0e589b45c9e77ac7020bce0cbe08ebb3d0f0b..687c208daa217f7e71c54aea6b7e975f30695f79 100644 (file)
@@ -7,10 +7,12 @@ case $1 in
                # Sets up the build environment before any kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/pre-kmerge.sh
                ;;
+
        post-kmerge)
                # Cleans up the build environment after the kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/post-kmerge.sh
                ;;
+
        kernel)
                shift
                export clst_kname="$1"
@@ -53,7 +55,7 @@ case $1 in
                                fi
                        ;;
                esac
-       
+
                # move over the environment
                cp -f ${clst_sharedir}/livecd/files/livecd-bashrc \
                        ${clst_chroot_path}/root/.bashrc
@@ -61,7 +63,7 @@ case $1 in
                        ${clst_chroot_path}/root/.bash_profile
                cp -f ${clst_sharedir}/livecd/files/livecd-local.start \
                        ${clst_chroot_path}/etc/conf.d/local.start
-               
+
                # execute copy gamecd.conf if we're a gamecd
                if [ "${clst_livecd_type}" = "gentoo-gamecd" ]
                then
@@ -74,6 +76,7 @@ case $1 in
                        fi
                fi
                ;;
+
        livecd-update)
                # Now, finalize and tweak the livecd fs (inside of the chroot)
                exec_in_chroot ${clst_sharedir}/targets/support/livecdfs-update.sh
@@ -87,12 +90,15 @@ case $1 in
                                ${clst_chroot_path}/etc/X11/xinit/xinitrc
                fi
                ;;
+
        rc-update)
                exec_in_chroot ${clst_sharedir}/targets/support/rc-update.sh
                ;;
+
        fsscript)
                exec_in_chroot ${clst_fsscript}
                ;;
+
        clean)
                if [ "${clst_livecd_type}" = "gentoo-gamecd" ] \
                || [ "${clst_livecd_type}" = "gentoo-release-minimal" ] \
@@ -112,6 +118,7 @@ case $1 in
                        grep -v 'libgcc_eh.a' | xargs rm -f
                rm -f ${clst_chroot_path}/tmp/packages.txt
                ;;
+
        bootloader)
                shift
                # Here is where we poke in our identifier
@@ -184,15 +191,18 @@ case $1 in
 
                ${clst_sharedir}/targets/support/bootloader-setup.sh $1
                ;;
+
     unmerge)
         shift
         export clst_packages="$*"
         exec_in_chroot ${clst_sharedir}/targets/support/unmerge.sh
     ;;
+
        target_image_setup)
                shift
                ${clst_sharedir}/targets/support/target_image_setup.sh $1
                ;;
+
        iso)
                shift
                ${clst_sharedir}/targets/support/create-iso.sh $1
index 7983e1294bfcfa4f373c062d497acfa3ee4d51d6..e4294ca05236e066bd7a8aea082a677932a971d4 100644 (file)
@@ -53,7 +53,7 @@ do
                alpha)
                        # Until aboot is patched this is broken currently.
                        # please use catalyst 1.1.5 or older
-               
+
                        #TEST TEST TEST TEST
                        #http://lists.debian.org/debian-alpha/2004/07/msg00094.html
                        #make \
index 6352d7a2e66bff12ede2bdd6a6b507cfa555097f..edf1f21aee4a15f0335aa169debc890433e46cb0 100644 (file)
@@ -13,6 +13,7 @@ case ${1} in
                exec_in_chroot \
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
        ;;
+
        busybox)
                # Custom busybox config support
                if [ -f "${clst_netboot_busybox_config}" ]
@@ -20,7 +21,7 @@ case ${1} in
                        mkdir -p ${clst_chroot_path}/etc/busybox/${clst_CHOST}
                        cp -v ${clst_netboot_busybox_config} \
                                ${clst_chroot_path}/etc/busybox/${clst_CHOST}/busybox.config
-                       clst_use="savedconfig" 
+                       clst_use="savedconfig"
                fi
 
                # Main Busybox emerge
@@ -31,14 +32,17 @@ case ${1} in
                exec_in_chroot \
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
        ;;
+
        pre-kmerge)
                # Sets up the build environment before any kernels are compiled
                #exec_in_chroot ${clst_sharedir}/targets/support/pre-kmerge.sh
        ;;
+
        post-kmerge)
                # Cleans up the build environment after the kernels are compiled
                #exec_in_chroot ${clst_sharedir}/targets/support/post-kmerge.sh
        ;;
+
        kernel)
                shift
                export clst_kname="$1"
@@ -48,6 +52,7 @@ case ${1} in
                #exec_in_chroot ${clst_sharedir}/targets/support/post-kmerge.sh
                #extract_kernels kernels
        ;;
+
        image)
                #Creates the base initrd image for the netboot
                shift
@@ -62,11 +67,14 @@ case ${1} in
                exec_in_chroot \
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-image.sh
        ;;
+
        finish)
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-combine.sh
        ;;
+
        clean)
                exit 0;;
+
        *)
                exit 1;;
 esac
index 90bb704a7a1fd6cbf3c6c6d2ebe210cbf30147ac..10bdaed37a96710fc210214b46b0de05d9258d98 100644 (file)
@@ -7,7 +7,7 @@ update_env_settings
 echo "Copying files to ${clst_root_path}"
 clst_files="/bin/busybox ${clst_files} "
 for f in ${clst_files}
-do 
+do
        copy_file ${f}
 done
 echo "Done copying files"
index 03e4db4a00d057bcafc0449c9cd15ce2b4f3ec8b..2ffcb0d7684e4975ed583739355bfa6d8bf1e410 100644 (file)
@@ -12,14 +12,17 @@ case ${1} in
                exec_in_chroot \
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-pkg.sh
        ;;
+
        pre-kmerge)
                # Sets up the build environment before any kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/pre-kmerge.sh
        ;;
+
        post-kmerge)
                # Cleans up the build environment after the kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/post-kmerge.sh
        ;;
+
        kernel)
                shift
                export clst_kname="$1"
@@ -44,6 +47,7 @@ case ${1} in
                #16:13 <@solar> eval clst_boot_kernel_${kernel_name}_config=bar
                #16:13 <@solar> eval echo \$clst_boot_kernel_${kernel_name}_config
        ;;
+
        image)
                # Creates the base initramfs image for the netboot
                echo -e ">>> Preparing Image ..."
@@ -54,13 +58,16 @@ case ${1} in
                exec_in_chroot \
                ${clst_sharedir}/targets/${clst_target}/${clst_target}-copyfile.sh
        ;;
+
        final)
                # For each arch, fetch the kernel images and put them in builds/
                echo -e ">>> Copying completed kernels to ${clst_target_path} ..."
                ${clst_sharedir}/targets/support/netboot2-final.sh
        ;;
+
        clean)
                exit 0;;
+
        *)
                exit 1;;
 esac
index 1d0290e2d3c8bdd2e76031121993e25efb461372..cc1a118119ea5309e93819bccb1755234b3562f2 100644 (file)
@@ -7,7 +7,7 @@ update_env_settings
 echo ">>> Copying initramfs files to ${clst_merge_path} (in chroot) ..."
 [ ! -d "${clst_merge_path}" ] && mkdir -p ${clst_merge_path}
 for f in ${clst_files}
-do 
+do
        # copy it to the merge path
        cp -pPRf --parents $(eval echo ${f}) ${clst_merge_path}
 
index a07e2f03bd55240cd2dab91a385cb76895549b24..58da8e41d01bdea26c91dcef4a0617a9e3e2be30 100644 (file)
@@ -5,6 +5,7 @@ source ${clst_sharedir}/targets/support/functions.sh
 case $1 in
        enter)
        ;;
+
        run)
                cp ${clst_sharedir}/targets/stage1/build.py ${clst_chroot_path}/tmp
 
@@ -20,9 +21,11 @@ case $1 in
                        ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh \
                        || exit 1
        ;;
+
        preclean)
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-preclean-chroot.sh /tmp/stage1root || exit 1
        ;;
+
        clean)
                # Clean out man, info and doc files
                rm -rf usr/share/{man,doc,info}/*
@@ -34,6 +37,7 @@ case $1 in
                        grep -v 'nonshared.a' | grep -v '/usr/lib/portage/bin/' | \
                        grep -v 'libgcc_eh.a' | xargs rm -f
        ;;
+
        *)
                exit 1
        ;;
index 109d4af19105817f061cbe14b5d10e727174d62a..61f5261667bef1b2f78580e1c0b4d03e73aefefb 100644 (file)
@@ -19,4 +19,3 @@ fi
 
 ## START BUILD
 /usr/portage/scripts/bootstrap.sh ${bootstrap_opts} || exit 1
-
index ee41687ad06a09ee2ff441d750c9c307fbfd7420..2192fbc575972646d7d599377c7340c21c4fadc4 100644 (file)
@@ -8,18 +8,22 @@ case $1 in
        enter)
                ${clst_CHROOT} ${clst_chroot_path}
        ;;
+
        run)
                shift
                export clst_packages="$*"
                exec_in_chroot \
                        ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
        ;;
+
        preclean)
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-preclean-chroot.sh ${clst_root_path}
        ;;
+
        clean)
                exit 0
        ;;
+
        *)
                exit 1
        ;;
index 81aeda7cf2ecf3eedcffdb31573924bb16f8b7d8..edf42ecd962f2724974f52cf15d253c6d98599bf 100644 (file)
@@ -8,17 +8,21 @@ case $1 in
        enter)
                ${clst_CHROOT} ${clst_chroot_path}
        ;;
+
        run)
                shift
                export clst_packages="$*"
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
        ;;
+
        preclean)
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-preclean-chroot.sh ${clst_root_path}
        ;;
+
        clean)
                exit 0
        ;;
+
        *)
                exit 1
        ;;
index b056ade7c4a105d3f0403125e72b066834d08acc..ff8dc03878a3f78acb70125a8005804fbbbd534f 100644 (file)
@@ -8,14 +8,17 @@ case $1 in
        enter)
                ${clst_CHROOT} ${clst_chroot_path}
        ;;
+
        pre-kmerge)
                # Sets up the build environment before any kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/pre-kmerge.sh
        ;;
+
        post-kmerge)
                # Cleans up the build environment after the kernels are compiled
                exec_in_chroot ${clst_sharedir}/targets/support/post-kmerge.sh
        ;;
+
        kernel)
                shift
                export clst_kname="$1"
@@ -30,20 +33,25 @@ case $1 in
                # Do we need this one?
 #              extract_kernel ${clst_chroot_path}/boot ${clst_kname}
        ;;
+
        build_packages)
                shift
                export clst_packages="$*"
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-chroot.sh
        ;;
+
        preclean)
                exec_in_chroot ${clst_sharedir}/targets/${clst_target}/${clst_target}-preclean-chroot.sh ${clst_root_path}
        ;;
+
        rc-update)
                exec_in_chroot ${clst_sharedir}/targets/support/rc-update.sh
        ;;
+
        fsscript)
                exec_in_chroot ${clst_fsscript}
        ;;
+
        livecd-update)
                # Now, finalize and tweak the livecd fs (inside of the chroot)
                exec_in_chroot ${clst_sharedir}/targets/support/livecdfs-update.sh
@@ -56,25 +64,31 @@ case $1 in
                                ${clst_chroot_path}/etc/X11/xinit/xinitrc
                fi
        ;;
+
        bootloader)
                exit 0
        ;;
+
        target_image_setup)
                shift
                ${clst_sharedir}/targets/support/target_image_setup.sh $1
        ;;
+
        unmerge)
                shift
                export clst_packages="$*"
-               exec_in_chroot ${clst_sharedir}/targets/support/unmerge.sh 
+               exec_in_chroot ${clst_sharedir}/targets/support/unmerge.sh
        ;;
+
        iso)
                shift
                ${clst_sharedir}/targets/support/create-iso.sh $1
        ;;
+
        clean)
                exit 0
        ;;
+
        *)
                exit 1
        ;;
index 2832b9ff8076bdacc4d2a7cf7b4d1b0cc036b8a7..a0bc5f581fbae9e1e11fe80b6f6a1c0e421424f6 100644 (file)
@@ -1,4 +1,5 @@
 #!/bin/bash
+
 source ${clst_sharedir}/targets/support/functions.sh
 source ${clst_sharedir}/targets/support/filesystem-functions.sh
 
index 4da932fa51a2a7d0f96bef45eb1ccc6a832929c4..18e7a3826e7d840248ec7e695880cdc4c98e9f41 100644 (file)
@@ -239,7 +239,7 @@ make_destpath() {
        # ROOT is / by default, so remove any ROOT= settings from make.conf
        sed -i '/ROOT=/d' /etc/portage/make.conf
        export ROOT=/
-       if [ "${1}" != "/" -a -n "${1}" ] 
+       if [ "${1}" != "/" -a -n "${1}" ]
        then
                echo "ROOT=\"${1}\"" >> /etc/portage/make.conf
                export ROOT=${1}
index 922e547c6fa614e4d14597a4ef725786e352d812..af8a793ff6b398ec47bc493d946cedf0c7f45cc5 100644 (file)
@@ -207,7 +207,7 @@ case ${clst_hostarch} in
                # should be in the cdtar, otherwise use the new style.
                if [ -x ${clst_target_path}/boot/mkisofs.sparc.fu ]
                then
-                       mv ${clst_target_path}/boot/mkisofs.sparc.fu /tmp 
+                       mv ${clst_target_path}/boot/mkisofs.sparc.fu /tmp
                        echo "Running mkisofs.sparc.fu to create iso image...."
                        echo "/tmp/mkisofs.sparc.fu ${mkisofs_zisofs_opts} -o ${1} -D -r -pad -quiet -S 'boot/cd.b' -B '/boot/second.b' -s '/boot/silo.conf' -V \"${clst_iso_volume_id}\" ${clst_target_path}"
                        /tmp/mkisofs.sparc.fu ${mkisofs_zisofs_opts} -o ${1} -D -r -pad -quiet -S 'boot/cd.b' -B '/boot/second.b' -s '/boot/silo.conf' -V "${clst_iso_volume_id}" ${clst_target_path} || die "Cannot make ISO image"
@@ -283,7 +283,7 @@ case ${clst_hostarch} in
                elif [ -e ${clst_target_path}/gentoo.efimg ]
                then
                        echo 'Creating ISO using EFI bootloader'
-                       echo "mkisofs -J -R -l ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} -b gentoo.efimg -c boot.cat -no-emul-boot ${clst_target_path}" 
+                       echo "mkisofs -J -R -l ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} -b gentoo.efimg -c boot.cat -no-emul-boot ${clst_target_path}"
                        mkisofs -J -R -l ${mkisofs_zisofs_opts} -V "${clst_iso_volume_id}" -o ${1} -b gentoo.efimg -c boot.cat -no-emul-boot ${clst_target_path} || die "Cannot make ISO image"
                else
                        echo "mkisofs -J -R -l ${mkisofs_zisofs_opts} -V \"${clst_iso_volume_id}\" -o ${1} ${clst_target_path}"
index 31ad6d35b0e97cfdf3168cde71daa65a60303211..98fd5fe37e446f141060feedf784fa8f20ff8a51 100644 (file)
@@ -27,7 +27,7 @@ create_normal_loop() {
                || die "Couldn't mount loopback ext2 filesystem"
        sync; sync; sleep 3 # Try to work around 2.6.0+ loopback bug
        echo "cp -pPR ${source_path}/* ${destination_path}/loopmount"
-       cp -pPR ${source_path}/* ${destination_path}/loopmount 
+       cp -pPR ${source_path}/* ${destination_path}/loopmount
        [ $? -ne 0 ] && { umount ${destination_path}/${loopname}; \
                die "Couldn't copy files to loopback ext2 filesystem"; }
        umount ${destination_path}/loopmount \
index 6bdaaaa0bf97fded4b2b2c6474d05619d05a5f6c..4ebc2cc3c244b20872c547622198a34ef218e64b 100644 (file)
@@ -8,7 +8,7 @@ setup_pkgmgr
 # Backup pristine system
 
 rsync -avx --exclude "/root/" --exclude "/tmp/" --exclude "/usr/portage/" / \
-       /tmp/rsync-bak/ 
+       /tmp/rsync-bak/
 
 for x in ${clst_tinderbox_packages}
 do
@@ -30,7 +30,7 @@ do
 
        if [ "$?" != "0" ]
        then
-               echo "! $x" >> /tmp/tinderbox.log       
+               echo "! $x" >> /tmp/tinderbox.log
        else
                echo "$x" >> /tmp/tinderbox.log
        fi